This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 823691 - Agent tests use hard-coded port numbers
Agent tests use hard-coded port numbers
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Tests (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: RHQ 4.5.0
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 17:59 EDT by Ian Springer
Modified: 2013-09-01 06:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:18:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-05-21 17:59:03 EDT
This can cause intermittent test failures due to port conflicts, particularly when two jobs in Jenkins (e.g. rhq-master and rhq-release) run simultaneously on the same slave.

I think we need to either make the ports configurable via sysprops as we did for the comm tests, or add some code that finds a free port in a certain port range and then uses that port. I see the following hard-coded ports in the Agent*Test classes: 11111, 22222, 17777, 18888, 12345, 22345.
Comment 1 John Sanda 2012-06-11 14:43:17 EDT
Taking this bug since I had started doing some work on it already.
Comment 2 John Sanda 2012-06-12 15:47:55 EDT
The ports cited in the description have been parameterized. Changes have been pushed to master.

commit hash: fee4a644165
Comment 4 Heiko W. Rupp 2013-09-01 06:18:45 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.